package com.sharekaroh.hybrid.aidl;
import com.sharekaro.login.aidl.ILoginAidlListener;
import com.sharekaroh.hybrid.aidl.IHybridAidlCallback;

interface IWebOtherInterface {

    void statsPageIn(String pageName, String extra);

    void statsPageOut(String pageName, String extra);

    void statsWebShowResult(String portal, String firstUrl, String firstResult, String firstFailedMsg, String lastUrl, long duration, String extra);

    void statsSharePopShow(String portal, String title, String description, String msg, String webpage_path);

    void statsSharePopClick(String portal, String title, String description, String msg, String webpage_path, String method);

    void statsPageStart(String portal, String url, long duration);

    void statsInterceptResourceResult(String portal, String url, String interceptEvent, String result, String errorMsg);

    void statsLifeCycleEvent(String url, String lifeCycleEvent);

//    void queryWebDownload(String portal, String title, long fileSize, String downloadUrl);
//
//    boolean isDownloadedUrl(String downloadUrl);
//
//    int getDownloadStatus(String downloadUrl);

    void addLoginListener(String loginKey, ILoginAidlListener listener);

    void removeLoginListener(String loginKey);

    String getUserId();

    String getAccountType();

    String getToken();

    String getUserName();

    String getPhoneNum();

    String getCountryCode();

    void clearAccount(String startStep,  IHybridAidlCallback callback);
}
